New command "freshup" to update port database and list outdated port(s).
authorAlexander Barton <alex@barton.de>
Fri, 27 Jun 2008 11:12:41 +0000 (13:12 +0200)
committerAlexander Barton <alex@barton.de>
Fri, 27 Jun 2008 11:12:41 +0000 (13:12 +0200)
The command "freshup" is a shortcut for "pt update && pt outdated" and
updates the installed port software and database, and then display all
outdated ports.
The commands "fresh" and "up" are aliases for "freshup".

bin/pt

diff --git a/bin/pt b/bin/pt
index 6ca8c1ebdf868cf7559edd96cab567cd28292835..fc4cc1024f64a8a96c56866488dfd63f09532a65 100755 (executable)
--- a/bin/pt
+++ b/bin/pt
@@ -50,6 +50,7 @@ Usage() {
        echo "  clean <port> [<port> [...]]    -- clean port build files"
        echo "  update                         -- update port database"
        echo "  upgrade                        -- upgrade outdated port(s)"
+       echo "  freshup                        -- update port database & list outdated ports"
        echo "  search <term>                  -- search for port(s)"
        echo "  list <term>                    -- list port(s)"
        echo "  info <port>                    -- display details of a port"
@@ -914,6 +915,14 @@ case "$1" in
                Upgrade
                Clean_Exit $?
                ;;
+       "freshup"|"fresh"|"up")
+               shift
+               Check_Root_Perm
+               [ $# -ne 0 ] && Usage
+               Update
+               List_Outdated
+               Clean_Exit $?
+               ;;
        "remove"|"uninstall")
                shift
                Check_Root_Perm